Bug 1254296 - [abrt] gnome-shell: meta_launcher_new(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: meta_launcher_new(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2fefb7b21a801211dc55e429316...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-17 12:08 EDT by Matej Habrnal
Modified: 2016-12-20 09:25 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:25:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.13 KB, text/plain)
2015-08-17 12:08 EDT, Matej Habrnal
no flags Details
File: cgroup (219 bytes, text/plain)
2015-08-17 12:08 EDT, Matej Habrnal
no flags Details
File: core_backtrace (2.81 KB, text/plain)
2015-08-17 12:08 EDT, Matej Habrnal
no flags Details
File: dso_list (14.20 KB, text/plain)
2015-08-17 12:08 EDT, Matej Habrnal
no flags Details
File: environ (3.20 KB, text/plain)
2015-08-17 12:08 EDT, Matej Habrnal
no flags Details
File: limits (1.29 KB, text/plain)
2015-08-17 12:08 EDT, Matej Habrnal
no flags Details
File: maps (65.44 KB, text/plain)
2015-08-17 12:08 EDT, Matej Habrnal
no flags Details
File: mountinfo (3.13 KB, text/plain)
2015-08-17 12:08 EDT, Matej Habrnal
no flags Details
File: namespaces (85 bytes, text/plain)
2015-08-17 12:08 EDT, Matej Habrnal
no flags Details
File: open_fds (375 bytes, text/plain)
2015-08-17 12:08 EDT, Matej Habrnal
no flags Details
File: proc_pid_status (1003 bytes, text/plain)
2015-08-17 12:08 EDT, Matej Habrnal
no flags Details
File: var_log_messages (320 bytes, text/plain)
2015-08-17 12:08 EDT, Matej Habrnal
no flags Details
gnome-session log (108.25 KB, text/x-vhdl)
2015-08-20 03:16 EDT, Matej Habrnal
no flags Details

  None (edit)
Description Matej Habrnal 2015-08-17 12:08:38 EDT
Description of problem:


Version-Release number of selected component:
gnome-shell-3.17.4-1.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell --wayland --display-server
crash_function: meta_launcher_new
executable:     /usr/bin/gnome-shell
global_pid:     4403
kernel:         4.2.0-0.rc6.git0.2.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 meta_launcher_new at backends/native/meta-launcher.c:300
 #1 meta_backend_native_init at backends/native/meta-backend-native.c:332
 #2 g_type_create_instance at gtype.c:1870
 #3 g_object_new_internal at gobject.c:1774
 #6 meta_create_backend at backends/meta-backend.c:566
 #7 meta_clutter_init at backends/meta-backend.c:626
 #8 meta_init at core/main.c:358
Comment 1 Matej Habrnal 2015-08-17 12:08:41 EDT
Created attachment 1063950 [details]
File: backtrace
Comment 2 Matej Habrnal 2015-08-17 12:08:43 EDT
Created attachment 1063951 [details]
File: cgroup
Comment 3 Matej Habrnal 2015-08-17 12:08:44 EDT
Created attachment 1063952 [details]
File: core_backtrace
Comment 4 Matej Habrnal 2015-08-17 12:08:45 EDT
Created attachment 1063953 [details]
File: dso_list
Comment 5 Matej Habrnal 2015-08-17 12:08:46 EDT
Created attachment 1063954 [details]
File: environ
Comment 6 Matej Habrnal 2015-08-17 12:08:48 EDT
Created attachment 1063955 [details]
File: limits
Comment 7 Matej Habrnal 2015-08-17 12:08:50 EDT
Created attachment 1063956 [details]
File: maps
Comment 8 Matej Habrnal 2015-08-17 12:08:51 EDT
Created attachment 1063957 [details]
File: mountinfo
Comment 9 Matej Habrnal 2015-08-17 12:08:52 EDT
Created attachment 1063958 [details]
File: namespaces
Comment 10 Matej Habrnal 2015-08-17 12:08:53 EDT
Created attachment 1063959 [details]
File: open_fds
Comment 11 Matej Habrnal 2015-08-17 12:08:55 EDT
Created attachment 1063960 [details]
File: proc_pid_status
Comment 12 Matej Habrnal 2015-08-17 12:08:56 EDT
Created attachment 1063961 [details]
File: var_log_messages
Comment 13 Matej Habrnal 2015-08-17 12:17:13 EDT
Description of problem:

After a new installation of Fedora-Workstation-netinst-x86_64-23_Alpha I've tried to log into Gnome 3 Wayland. After I entered the password it goes back to the login screen.
Comment 14 mchalupa 2015-08-19 04:24:56 EDT
It looks like taking control over session fails, but the error is not set (thus the segfault).

Can you reproduce it? If so, could you attach journalctl output after the crash? The one taken by ABRT is kinda useless.

Thanks
Comment 15 Matej Habrnal 2015-08-19 08:19:00 EDT
Unfortunately, I cannot reproduce the bug because there is another wayland issue (https://bugzilla.redhat.com/show_bug.cgi?id=1253249). This issue I can reproduce.
Comment 16 mchalupa 2015-08-20 02:05:30 EDT
In that case we could try to get the logs from the day the crash occured, something like:

 $ journalctl --since=15-08-17 --until=15-08-18 _COMM=gnome-session

could work.

The bug #1253249 frequently occurs after previous crash, so you can try to look into logs after that crash and if you'll see segfault before #1253249 then the log would be valuable too (best after fresh restart - when #1253249 happens for the first time)
Comment 17 Matej Habrnal 2015-08-20 03:16:55 EDT
Created attachment 1065129 [details]
gnome-session log

It seems there were more gnome-session's errors in the journal that day and I don't know which is related to this bugzilla so I attach full report from that day.
Comment 18 mchalupa 2015-08-20 03:31:19 EDT
Unfortunately, the logs begin at 13:42 but the crash occurred at 12:08, so there are not any details about this crash. However, the logs reveal the cause of bug #1253249 (in your case, people might experience it from other reasons)
Comment 19 mchalupa 2015-09-03 09:16:22 EDT
upstream: https://bugzilla.gnome.org/show_bug.cgi?id=754520
Comment 20 mchalupa 2015-09-09 03:05:07 EDT
This bug should be fixed upstream now (commit 1845bfe1b6235). It fixes the segfault only though. The issue that causes mutter take the error path (on which it got the SIGSEGV) may still be there.
Comment 21 Fedora End Of Life 2016-11-24 07:19:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 22 Fedora End Of Life 2016-12-20 09:25:41 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.